Bug 114462 - Slow scrolling and high CPU utilization in the expert configuration with specific content (for example histories)
Summary: Slow scrolling and high CPU utilization in the expert configuration with spec...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: haveBacktrace, perf
: 114468 (view as bug list)
Depends on:
Blocks: Options-Dialog-Expert
  Show dependency treegraph
 
Reported: 2017-12-14 12:34 UTC by Telesto
Modified: 2019-09-23 02:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Callgrind output from master (3.70 MB, application/x-xz)
2017-12-25 10:46 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-12-14 12:34:46 UTC
Description:
Slow scrolling and high CPU initialization in the expert configuration with specific content (for example histories)

Steps to Reproduce:
1. Open LibreOffice
2. Tools -> Options -> Advanced
3. Click Open Export Configuration
4. Search term: Histories -> Enter
5. Scroll up and down and monitor CPU usage and notice a lag (btw, some file open historie is needed)

Actual Results:  
High CPU initialization an laggy scrolling 

Expected Results:
Probably not


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 6.1.0.0.alpha0+
Build ID: cc1db6f2b0ebe05ae807628778835b62df00eca2
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-12-02_23:45:34
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Jean-Baptiste Faure 2017-12-24 10:37:13 UTC
Working on copies of the same profile, scrolling in the expert configuration is smoother with LO 6.0.0.1.0+ than with the master. So set status to NEW.
Both need 100% of the used CPU but I am not sure if that is an abnormal behavior.


Best regards. JBF
Comment 2 Buovjaga 2017-12-25 10:46:08 UTC
Created attachment 138642 [details]
Callgrind output from master

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 12d3d90b87d1685d526f576eba62caa79c0df418
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on December 22nd 2017
Comment 3 Xisco Faulí 2018-03-08 13:36:01 UTC Comment hidden (obsolete)
Comment 4 Xisco Faulí 2018-03-08 13:36:50 UTC
*** Bug 114468 has been marked as a duplicate of this bug. ***
Comment 5 QA Administrators 2019-09-23 02:54:29 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug